Page MenuHomePhabricator

Update the article view in the Explicit reading mode" prototype
Closed, ResolvedPublic1 Story Points

Description

Splitting up the article view as a subtask to do the following:

  • Move 'add to reading list' and 'share' as more common actions users can take to the top toolbar
  • Place all article actions into an overflow menu in the top article toolbar
  • History (aka Recently read) is moved as a sub-section within the article overflow menu

See mocks at details in context on the main ticket.

Article overflow


Zeplin: https://app.zeplin.io/project/57a120b91998d8977642a238?seid=5b2157e997038870a5b9f05e

Event Timeline

RHo updated the task description. (Show Details)Jun 20 2018, 4:17 PM
Charlotte set the point value for this task to 3.Jun 20 2018, 4:22 PM
Vvjjkkii renamed this task from Update the article view in the Explicit reading mode" prototype to nkaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed the point value for this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Sharvaniharan renamed this task from nkaaaaaaaa to Update the article view in the Explicit reading mode" prototype.Jul 1 2018, 5:37 AM
Sharvaniharan set the point value for this task to 3.
Sharvaniharan updated the task description. (Show Details)
Sharvaniharan added a subscriber: Aklapper.
CommunityTechBot lowered the priority of this task from High to Normal.Jul 5 2018, 7:03 PM
Charlotte changed the point value for this task from 3 to 1.Jul 16 2018, 4:14 PM
Charlotte updated the task description. (Show Details)
cooltey updated the task description. (Show Details)Jul 17 2018, 12:20 AM
cooltey updated the task description. (Show Details)

@RHo

As I mentioned in T197814#4421265, how should this UI handle the Content issues and Similar pages options that were in the overflow menu?

Change 446209 had a related patch set uploaded (by Cooltey; owner: Cooltey):
[apps/android/wikipedia@unified_activity] [WIP] Update the article view in the Explicit reading mode" prototype

https://gerrit.wikimedia.org/r/446209

RHo added a comment.Jul 17 2018, 9:24 AM

Hi @cooltey - per T187204 and T187206, the intention is that Similar pages (aka disambiguation/hat notes) and Content issues should both be shown in the article content, rather than being hidden in the overflow.

@RHo
As I mentioned in T197814#4421265, how should this UI handle the Content issues and Similar pages options that were in the overflow menu?

Change 446895 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@unified_activity] Update the article view in the Explicit reading mode" prototype

https://gerrit.wikimedia.org/r/446895

Change 446209 abandoned by Sharvaniharan:
Update the article view in the Explicit reading mode" prototype

Reason:
New patch in place

https://gerrit.wikimedia.org/r/446209

RHo added a comment.Aug 7 2018, 5:41 PM

hi @cooltey - reposting visual bug on the exploded tabs in Article view in the Explicit reading prototype below:

Actual tabs view from Prototype 2:

  • Fake shadow exposed in the tab stack – seen in the top left and right corners of tab stack, and the fact that there is no shadow cast on the left and right of the tabs
  • cut-off app bar shown in the top most tab (Empire State Building article)

Change 451088 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@unified_activity] [WIP] Minor UI fixes : Tab list

https://gerrit.wikimedia.org/r/451088

RHo added a comment.Aug 10 2018, 2:19 PM

hi @Sharvaniharan - thanks for removing the dark corners on the top left and right and fixing the cut-app app bar being shown. Actual looks like this:

However, can we get the shadow around the tab stack as per expected?

RHo added a comment.Aug 22 2018, 8:57 PM

hi @Sharvaniharan - just running through the script and realized that the article top toolbar is actually incomplete:

Expected
- top right exposed icons are add to reading list and share
Actual:
- still showing just the search icon
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 22 2018, 8:57 PM
RHo added a comment.Aug 22 2018, 9:03 PM

Also also @Sharvaniharan - can the prototype be updated here please: https://releases.wikimedia.org/mobile/android/wikipedia/scratch/app-alpha-prototype_2.apk ? The current linked app does not have your recent fixed to the tab bar implemented.

Change 454707 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@unified_activity] [WIP] : UI Tweaks

https://gerrit.wikimedia.org/r/454707

@RHo The shadow around the tab list is a bit hard to do with the current set-up we have, so we have decided to wait until we re-architect the tabslist. Other changes are done

Dbrant closed this task as Resolved.Apr 16 2019, 2:22 PM